#pragma once

// OpenGL
#define NOMINMAX

#include <windows.h>
#include <GL/gl.h>

/*
 * a digital number in the xy-plane
 */
class DigitalNumber
{
private:
	float width;
	float height;

	float points1[2];
	float points2[2];
	float points3[2];
	float points4[2];
	float points5[2];
	float points6[2];

	float dimX[2];
	float dimY[2];

private:
	// draw numbers at current position
	void draw0();
	void draw1();
	void draw2();
	void draw3();
	void draw4();
	void draw5();
	void draw6();
	void draw7();
	void draw8();
	void draw9();

	// helper functions
	void drawXLine(float start[]);
	void drawYLine(float start[]);

public:
	DigitalNumber(void);
	DigitalNumber(float width, float height);
	~DigitalNumber(void);

	// draw given number at current position
	void draw(int value);
};
