#pragma once


// OpenGL
#define NOMINMAX

#include <windows.h>
#include <GL/gl.h>

// Physics
#include "NxPhysics.h"

class Player
{
public:
	GLuint playerNumber;
	GLuint texture[1];

	float energy;
	static float maxenergy;

public:
	NxReal aimx;
	NxReal aimy;

	double posAngleOffset;

public:
	Player();
	Player(GLuint playerNumber, GLuint texture, double posAngleOffset);
	~Player(void);

	GLuint getNumber();

	GLuint getTexture();

	GLuint score;

};
