#pragma once

// OpenGL
#define NOMINMAX

#include <windows.h>
#include <GL/gl.h>
#include <GL/glut.h>
//#include <GL/glu.h>							// Header File For The GLu32 Library
//#include <GL/glaux.h>							// Header File For The GLaux Library

// Physics
#include "NxPhysics.h"

class TriangleMesh
{
public:
	TriangleMesh(void);
	~TriangleMesh(void);


	NxVec3 *vertices;
	NxVec3 *normals;
	NxU32 *faces;
	NxMaterialIndex *materials;
	GLuint *textures;

	NxU32 numVertices;
	NxU32 numFaces;

};
