#pragma once

#define _USE_MATH_DEFINES	// in math.h werden sonst pi etc. nicht defniert
#include <math.h>

class Camera
{
public:
	double getAngle(void);
	double getSpeed(void);
	double getRadius(void);
	double getHeight(void);

	double getFirstAxis(void);
	double getFirstAxis(double angleOffset);
	double getSecondAxis(void);
	double getSecondAxis(double angleOffset);

	void setAngle(double angle);
	void setSpeed(double speed);
	void setRadius(double radius);

	void doStep(void);
	double round(double x);

	Camera(void);
	Camera(double angle, double radius, double speed);
	~Camera(void);

private:
	double angle, speed, radius, height;
};
