#include "player.h"
#include "environment.h"

float Player::maxenergy = 10.0f;

Player::Player()
{
	this->score = 0;
	this->aimx = 0.0;
	this->aimy = 0.0;
	this->posAngleOffset = 0.0;
	this->energy = 10.0f;
}

Player::Player(GLuint playerNumber, GLuint texture, double posAngleOffset)
{
	this->playerNumber = playerNumber;
	this->texture[0] = texture;
	this->score = 0;
	this->aimx = 0.0;
	this->aimy = Environment::height*1.1;
	this->posAngleOffset = posAngleOffset;
	this->energy = 10.0f;
}

Player::~Player(void)
{
}

GLuint Player::getNumber() {
	return this->playerNumber;
}

GLuint Player::getTexture() {
	return this->texture[0];
}
